{% extends "base.html.twig" %}

{% block title %}
  {% if edit %}
    Modifier un film - CinéFilms
  {% else %}
    Ajout d'un film - CinéFilms
  {% endif %}
{% endblock %}

{% block body %}
  
  <br><br>
      <div class="w3-row w3-container w3-center">
        <div class="w3-large">
          <h1><b>
              {% if edit %}
                Modifier un film
              {% else %}
                Ajouter un film
              {% endif %}
          </b></h1>
        </div>
        <br><br>
            {{ form_start(form) }}    
            <div class="w3-input">
              {{ form_widget(form.titre,{'attr' : {'placeholder' : "Titre du film", 'class' : "w3-input", 'style': "width:20%;" }}) }}
              <br>
                {{ form_widget(form.image,{'attr' : {'placeholder' : "Affiche du film (URL de l'image)", 'class' : "w3-input", 'style': "width:40%;" }}) }}
                <br>                  
                  {{ form_widget(form.annee,{'attr' : {'placeholder' : "Année de sortie du film", 'class' : "w3-input", 'style': "width:20%;" }}) }}
                  <br>
                    {{ form_widget(form.duree,{'attr' : {'placeholder' : "Durée du film (minutes)", 'class' : "w3-input", 'style': "width:20%;" }}) }}
                    <br>
                      {{ form_widget(form.genre, {'attr' : {'class' : "w3-input", 'style': "width:20%;" }}) }}
                      <br>
                        {{ form_widget(form.pays, {'attr' : {'class' : "w3-input", 'style': "width:20%;" }}) }}
                        <br><br>
                            {{ form_widget(form.synopsis,{'attr' : {'placeholder' : "Résumé du film", 'class' : "w3-input", 'style': "width:50%;"  }}) }}   
                            <br><br>
                                <button type="submit" class="w3-button w3-orange w3-hover-black">
                                  {% if edit %}
                                    Enregister les modifications
                                  {% else %}
                                    Ajouter le film
                                  {% endif %}
                                </button>  
                                {{ form_end(form) }}
            </div>
      </div>
      <br>
    {% endblock %}
    
